Subject: Re: DRAFT Minutes of the 06-17-2021 IESG Teleconference

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 18 Jun 2021 06:31:33 +0000

May be is it too early in the morning for me, but, I have in mind that for OHTTP the BoF was the way to go ?

-éric

-----Original Message-----
From: iesg <[email-masked]> on behalf of IESG Secretary <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Date: Thursday, 17 June 2021 at 19:56
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: DRAFT Minutes of the 06-17-2021 IESG Teleconference

    DRAFT*DRAFT*DRAFT*DRAFT*DRAFT*DRAFT*DRAFT
    INTERNET ENGINEERING STEERING GROUP (IESG)
    Minutes of the June 17, 2021 IESG Teleconference

    Reported by: Jenny Bui, IETF Secretariat

    ATTENDEES
    ---------------------------------
    Jenny Bui (AMS) / IETF Secretariat
    Ben Campbell (Independent Consultant) / IAB Liaison
    Michelle Cotton (ICANN) / IANA Liaison
    Martin Duke (F5 Networks Inc) / Transport Area
    Lars Eggert (NetApp) / IETF Chair, General Area
    Liz Flynn (AMS) / IETF Secretariat, Narrative Scribe
    Sandy Ginoza (AMS) / RFC Editor Liaison
    Benjamin Kaduk (Akamai Technologies) / Security Area
    Erik Kline (Google) / Internet Area
    Murray Kucherawy (Facebook) / Applications and Real-Time Area
    Warren Kumari (Google) / Operations and Management Area
    Cindy Morgan (AMS) / IETF Secretariat
    Francesca Palombini (Ericsson) / Applications and Real-Time Area
    Alvaro Retana (Futurewei Technologies) / Routing Area
    Zaheduzzaman (Zahed) Sarker (Ericsson) / Transport Area
    John Scudder (Juniper) / Routing Area
    Amy Vezza (AMS) / IETF Secretariat
    Martin Vigoureux (Nokia) / Routing Area
    Eric Vyncke (Cisco) / Internet Area
    Robert Wilton (Cisco Systems) / Operations and Management Area

    REGRETS
    ---------------------------------
    Jay Daley / IETF Executive Director
    Roman Danyliw (CERT/SEI) / Security Area
    Mirja Kuehlewind (Ericsson) / IAB Chair

    OBSERVERS
    ---------------------------------
    Tim Costello
    Amy Creamer
    Bob Hinden
    Julian Reschke
    Lee-Berkeley Shaw
    Greg Wood

    1. Administrivia
    1.1 Approval of the Minutes

    The minutes of the June 03, 2021 Teleconference were approved.
    The Secretariat will place the minutes in the public archives.

    The narrative minutes of the June 03, 2021 Teleconference were
    approved. The Secretariat will place the minutes in the public archives. 

    The minutes of the IETF 111 BoF Coordination teleconference were approved. 
    The Secretariat will place the minutes in the public archives.

    1.2 Documents Approved since the June 03, 2021 IESG Teleconference
    1.2.1 Protocol Actions

    1.2.2 Document Actions
    o draft-ietf-dprive-xfr-over-tls-12  (Proposed Standard)
    o draft-ietf-payload-vp9-16  (Proposed Standard)

    1.3 Review of Action Items
     NONE

    DONE:
    o Zahed Sarker and Michelle Cotton to draft text for prospective 
      Designated Experts on the basics of the IANA request process and 
      "how to be a designated expert."
    o Robert Wilton to follow up with the IESG on small group project 
      assignments regarding topics identified through the poll taken at the 
      IESG retreat. 
    o Erik Kline to find designated experts for RFC 9031 [IANA #1198928]. 

    IN PROGRESS: 
    o Alvaro Retana, Benjamin Kaduk, and Murray Kucherawy to look at 
      updating the I-D Checklist.
    o Warren Kumari, Deborah Brungard, Stephen Farrell, and Jay Daley to 
      investigate ways to recruit, recognize, and retain volunteers in the 
      IETF.
    o Alvaro Retana and Martin Vigoureux to draft a note to wgchairs asking
      them to always confirm author/contributor status.
    o Alvaro Retana and Martin Vigoureux to draft text to include in the I-D 
      submission tool warning about too many authors.
    o John Scudder and Martin Duke to review the document shepherd templates
      and propose changes to include updated questions and cross-area 
      checks.
    o Robert Wilton to draft text to expand the document shepherd write-up 
      section on use of YANG Models. 
    o Eric Vyncke and Francesca Palombini to draft text for guidelines/best 
      practices
      for directorate reviewers.
    o Murray Kucherawy to update BCP 97 to provide guidance about handling 
      normative references to non-SDO documents.
    o Murray Kucherawy to find designated experts for RFC 9036 [IANA 
      #1199105].
    o Robert Wilton, Alvaro Retana, and Warren Kumari to report back to the 
      IESG on the impact of COVID-19 to the IETF in June 2021.
    o Lars Eggert to update BCP 45.

    UPDATED: 
    o The IESG to report on the RFC 8989 experiment after the 2021 NomCom is 
      seated (likely July 2021).

    NEW:
     NONE

    2. Protocol actions
    2.1 WG submissions
    2.1.1 New items

      o draft-ietf-idr-bgp-optimal-route-reflection-26  - IETF stream
        BGP Optimal Route Reflection (BGP-ORR) (Proposed Standard)
        Token: Alvaro Retana

    The document was approved by the IESG pending a final check to be 
    completed by Alvaro Retana. The Secretariat will send a working group 
    submission Protocol Action Announcement.

      o draft-ietf-httpbis-messaging-16  - IETF stream
        HTTP/1.1 (Proposed Standard)
        Token: Francesca Palombini

    The document remains under discussion by the IESG in order to resolve
    points raised by Benjamin Kaduk.*

      o draft-ietf-httpbis-semantics-16  - IETF stream
        HTTP Semantics (Proposed Standard)
        Token: Francesca Palombini

    The document remains under discussion by the IESG in order to resolve
    points raised by Benjamin Kaduk.*

      o draft-ietf-httpbis-cache-16  - IETF stream
        HTTP Caching (Proposed Standard)
        Token: Francesca Palombini

    The document was approved by the IESG pending a new revision. The 
    Secretariat will send a working group submission Protocol Action 
    Announcement once Francesca Palombini confirms that the announcement
    is ready to be sent.

      o draft-ietf-payload-rtp-jpegxs-16  - IETF stream
        RTP Payload Format for ISO/IEC 21122 (JPEG XS) (Proposed Standard)
        Token: Murray Kucherawy

    The document remains under discussion by the IESG in order to resolve
    points raised by Zahed Sarker.*

    2.1.2 Returning items
      NONE

    2.2 Individual submissions
    2.2.1 New items
      NONE

    2.2.2 Returning items
      NONE

    2.3 Status changes
    2.3.1 New items
      NONE

    2.3.2 Returning items
      NONE

    3. Document actions
    3.1 WG submissions
    3.1.1 New items
      NONE

    3.1.2 Returning items
      NONE

    3.2 Individual submissions via AD
    3.2.1 New items
      NONE

    3.2.2 Returning items
      NONE

    3.3 Status changes
    3.3.1 New items
      NONE

    3.3.2 Returning items
      NONE

    3.4 IRTF and Independent Submission stream documents
    3.4.1 New items
      NONE

    3.4.2 Returning items
      NONE

    4. Working Group actions
    4.1 WG creation
    4.1.1 Proposed for IETF review

      o Oblivious HTTP (ohttp)
        Area: SEC (Francesca Palombini)

    The charter remains under discussion by the IESG in order to resolve
    points raised by Zaheduzzaman Sarker, Eric Vyncke, and Robert Wilton.*

    4.1.2 Proposed for approval
      NONE

    4.2 WG rechartering
    4.2.1 Under evaluation for IETF review
      NONE

    4.2.2 Proposed for approval
      NONE

    5. IAB news we can use

    6. Management issues

    6.1 [IANA #1197180] Renewing early allocations for draft-ietf-bess-evpn-
        optimized-ir (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-bess-evpn-optimized-ir.

    6.2 [IANA #1197184] Renewing early allocations for draft-ietf-bess-evpn-
        ipvpn-interworking (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-bess-evpn-ipvpn-interworking.

    6.3 [IANA #1198995] Acceptance of media type registration from standards 
        organization ISO/TC 184/SC 4 - Industrial Data (IANA)

    The management issue was discussed. The IESG asks IANA to process this 
    media-type request, and to add ISO/TC 184/SC 4 - Industrial Data to the 
    'Standards-related organizations that have registered Media Types in the 
    Standards Tree.' 

    6.4 IETF 111 BoFs decisions (Secretariat)

    The management issue was discussed. The IESG approved the following BOF 
    requests for IETF 111:

     o Application-aware Networking (APN)
     o DANE for IoT Service Hardening (DANISH)
     o MAC Address Device Identification for Network and Application 
       Services (MADINAS)
     o Oblivious HTTP (OHTTP)

    The IESG will follow up with the proponents for the SCIM Industry Next 
    Steps (SINS) BOF proposal to ask for more information before making a 
    decision about whether to approve it.

    6.5 [IANA #1198928] Designated experts for RFC9031 (Erik Kline)

    The management issue was discussed. The IESG approved Malisa Vucinic 
    <[email-masked]> and Michael Richardson <[email-masked]> 
    as the designated experts for RFC 9031.

    6.6 [IANA #1199105] Designated experts for RFC 9036 (IANA)

    The management issue was discussed. An action item to find designated 
    experts for RFC 9036 was assigned to Murray Kucherawy prior to the start 
    of the teleconference.

    6.7 Finalization on blog on "Unofficial side meetings at IETF
        meetings" (Lars Eggert)

    The management issue was discussed.  

    6.8 [IANA #1199760] Renewing early allocation for draft-ietf-idr-bgp-ls-
        sbfd-extensions (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-idr-bgp-ls-sbfd-extensions.

    6.9 [IANA #1199761] Renewing early allocation for draft-ietf-idr-bgp-ls-
        app-specific-attr (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-idr-bgp-ls-app-specific-attr.

    6.10 [IANA #1199764] Renewing early allocations for draft-ietf-idr-
        bgpls-srv6-ext (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-idr-bgpls-srv6-ext.

    6.11 [IANA #1199765] Renewing early allocations for draft-ietf-lsr-
        dynamic-flooding (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-lsr-dynamic-flooding.

    6.12 [IANA #1199786] Renewing early allocations for draft-ietf-idr-bgp-
        ls-flex-algo (IANA)

    The management issue was discussed. The IESG approved renewing the early 
    allocations for draft-ietf-idr-bgp-ls-flex-algo.

    7. Any Other Business (WG News, New Proposals, etc.)

    -----------------------------------------------
    * Please see the Datatracker (https://datatracker.ietf.org/doc/)
    for details on documents that are under discussion by the IESG.

---

From: Francesca Palombini <[email-masked]>
Date: Fri, 18 Jun 2021 09:18:03 +0000

That is correct, we agreed that BoF is the way forward, and it was approved as BoF in 6.4. It was my understanding that discussion on the scope for ohttp will continue up to the BoF (hoping the BoF will resolve any outstanding comments), so the charter will stay in IESG evaluation process-wise and won't move forward to external evaluation.
I expect the discussion leading up to the BoF to also happen (on ohttp), so that the BoF can be well prepared and productive, so I also plan to keep working on your and other ADs comments with the proponents to get as close as we can to an acceptable charter before the BoF itself. Note that this is not the same as external review, but it is more of the community discussion leading to internal review that I've seen people say they missed.

Was that not your understanding Éric? Also - am I responsible for announcing that the chartering is frozen up to the BoF, and encourage more discussion leading to the BoF in the mailing list?

Francesca

On 18/06/2021, 08:32, "iesg on behalf of Eric Vyncke (evyncke)" <[email-masked] on behalf of evyncke=[email-masked]> wrote:

    -éric

    -----Original Message-----
    From: iesg <[email-masked]> on behalf of IESG Secretary <[email-masked]>
    Reply-To: "[email-masked]" <[email-masked]>
    Date: Thursday, 17 June 2021 at 19:56
    To: The IESG <[email-masked]>
    Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
    Subject: DRAFT Minutes of the 06-17-2021 IESG Teleconference

        ATTENDEES

        REGRETS

        OBSERVERS

        1. Administrivia

        1.2.2 Document Actions

        DONE:

        IN PROGRESS: 

        UPDATED: 

        NEW:
         NONE

        2. Protocol actions
        2.1 WG submissions
        2.1.1 New items

        2.1.2 Returning items
          NONE

        2.2.2 Returning items
          NONE

        2.3 Status changes
        2.3.1 New items
          NONE

        2.3.2 Returning items
          NONE

        3. Document actions
        3.1 WG submissions
        3.1.1 New items
          NONE

        3.1.2 Returning items
          NONE

        3.2.2 Returning items
          NONE

        3.3 Status changes
        3.3.1 New items
          NONE

        3.3.2 Returning items
          NONE

        3.4.2 Returning items
          NONE

        4. Working Group actions
        4.1 WG creation

          o Oblivious HTTP (ohttp)

        4.2 WG rechartering

        5. IAB news we can use

        6. Management issues

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 18 Jun 2021 10:01:50 +0000

Let me first explain why [email-masked] was put in cc:... this is simply because there was a Reply-To: [email-masked] was present in the draft minutes and my brain had not enough coffee to check the recipients before pushing 'Send' :-)

All the formal IESG telechats are public (and everyone is welcome as an observer) and the approved minutes are archived at: https://www.ietf.org/about/groups/iesg/minutes/ 

Back to the OHTTP charter, Francesca, this is indeed what I had in mind (hence the minutes probably needs to be updated on this topic). Of course, this decision does not stop the OHTTP charter to be refined and/or the I-D to progress. Barring big issues at the BoF in July, I expect the OHTTP WG (or the I-D finding another 'home') be created in August.

Sorry for the confusion

-éric

-----Original Message-----
From: Francesca Palombini <francesca.palombini=[email-masked]>
Date: Friday, 18 June 2021 at 11:18
To: Eric Vyncke <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: DRAFT Minutes of the 06-17-2021 IESG Teleconference

    Francesca

        -éric

        -----Original Message-----
        From: iesg <[email-masked]> on behalf of IESG Secretary <[email-masked]>
        Reply-To: "[email-masked]" <[email-masked]>
        Date: Thursday, 17 June 2021 at 19:56
        To: The IESG <[email-masked]>
        Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
        Subject: DRAFT Minutes of the 06-17-2021 IESG Teleconference

            ATTENDEES

            REGRETS

            OBSERVERS

            1. Administrivia

            1.2.2 Document Actions

            DONE:

            IN PROGRESS: 

            UPDATED: 

            NEW:
             NONE

            2. Protocol actions
            2.1 WG submissions
            2.1.1 New items

            2.1.2 Returning items
              NONE

            2.2.2 Returning items
              NONE

            2.3 Status changes
            2.3.1 New items
              NONE

            2.3.2 Returning items
              NONE

            3. Document actions
            3.1 WG submissions
            3.1.1 New items
              NONE

            3.1.2 Returning items
              NONE

            3.2.2 Returning items
              NONE

            3.3 Status changes
            3.3.1 New items
              NONE

            3.3.2 Returning items
              NONE

            3.4.2 Returning items
              NONE

            4. Working Group actions
            4.1 WG creation

              o Oblivious HTTP (ohttp)

            4.2 WG rechartering

            5. IAB news we can use

            6. Management issues